<?php namespace EscapeWork\Manager\Model;

class UserTest extends \PHPUnit_Framework_TestCase
{

    public function testHashPasswordWhenSet()
    {
        $user = new User();
        $user->password = '123';

        $this->assertEquals(60, strlen($user->password));
    }

    public function testNotSetPasswordWhenPassingEmptyValue()
    {
        $user = new User();
        $user->password = '';

        $this->assertNull($user->password);
    }
}