# ==================================================================
#   JS principal do escape.manager
#   Author: Luís Dalmolin <luis@escape.ppg.br>
# ==================================================================


# modal for confirm deleting itens 
$formDelete = $('#form-delete');

$('[data-delete]').on('click', (e) ->
    e.preventDefault()
    $this = $(this)

    $formDelete.attr('action', $this.attr('href'))
    $('#modal-delete').modal()
);

$('#btn-confirm-delete').on('click', (e) ->
    $formDelete.trigger('submit')
)

# message function  
window.message = (message, title) ->
    $('#modal-message-text').html(message)

    if title != undefined
        $('#modal-message-title').html(title)
    else
        $('#modal-message-title').html('Mensagem')

    $('#modal-message').modal('show')


# configurações do datepicker 
$('[data-datepicker]').datepicker({
    changeMonth: true,
    changeYear: true, 
    dateFormat: 'dd/mm/yy',
    showButtonPanel: true, 
    dayNames: [
        'Domingo','Segunda','Terça','Quarta','Quinta','Sexta','Sábado','Domingo'
    ],
    dayNamesMin: [
        'D','S','T','Q','Q','S','S','D'
    ],
    dayNamesShort: [
        'Dom','Seg','Ter','Qua','Qui','Sex','Sáb','Dom'
    ],
    monthNames: [
        'Janeiro','Fevereiro','Março','Abril','Maio','Junho','Julho','Agosto','Setembro',
        'Outubro','Novembro','Dezembro'
    ],
    monthNamesShort: [
        'Jan','Fev','Mar','Abr','Mai','Jun','Jul','Ago','Set',
        'Out','Nov','Dez'
    ],
    nextText: 'Próximo',
    prevText: 'Anterior'
})