@extends('manager::layouts.master')

@section('content')
    <div class="page-header">
        <div class="pull-left">
            <h1>Perfis</h1>
        </div><!-- .pull-left --> 

        <div class="pull-right">
            <a href="{{ route('manager.roles.create') }}" class="btn btn-primary">Inserir nova regras</a>
        </div><!-- .pull-right --> 

        <div class="clearfix"></div>
    </div><!-- .page=header --> 

    {{ Msg::getAll() }}
    
    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>#</th>
                <th>Regra</th>
                <th>Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($roles as $role)
                <tr>
                    <td>{{ $role->id }}</td>
                    <td>{{ $role->title }}</td>
                    <td>
                        <div class="btn-group">
                            <a href="{{ route('manager.roles.edit', $role->id) }}" class="btn btn-small">
                                <i class="icon-pencil"></i> editar 
                            </a>

                            <a href="{{ route('manager.roles.destroy', $role->id) }}" class="btn btn-small" data-delete="true">
                                <i class="icon-trash"></i> excluir 
                            </a>
                        </div><!-- .btn-group --> 
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table --> 
@stop